#ifndef TREE_HPP
#define TREE_HPP

#include "node.hpp"

class Tree {
public:
    // constructor
    Tree() = delete;
    Tree(double* particles, unsigned nParticles, double size, double* center);
    // destructor
    ~Tree();
    // update tree: visit each node, check if it needs to be split or merged (for example if a particle has left the region)
    void update();
private:
    Node* root_;
    double* particles_;
    unsigned nParticles_;
    double size_;
    double center_[3];
};

#endif /* TREE_HPP */